#include "../Headers/pwm.h"

void PWMInit()
{
    //TIMER2 (PWM)
    //1x prescaler (Page 126)
    cbi(TCCR2, CS22);
    cbi(TCCR2, CS21);
    sbi(TCCR2, CS20);

    //Phase correct PWM mode (Page 125)
    cbi(TCCR2, WGM21);
    sbi(TCCR2, WGM20);

    //Non-inverting mode (Page 126)
    sbi(TCCR2, COM21);
    cbi(TCCR2, COM20);
}
