#include "../Headers/io.h"

void IOInit()
{
    //Turning off PORTA pull-up resistors on the inputs
    PORTA = 0x00;
    DDRA = 0x00;
    //The LED is on PA0, so PORTA0 should be configured as output (0x01)
    sbi(DDRA, 0);

    //Turning off PORTB pull-up resistors and all pins should be configured as inputs
    PORTB = 0x00;
    DDRB = 0x00;

    //Turning off PORTC pull-up resistors and all pins should be configured as inputs
    PORTC = 0x00;
    DDRC = 0x00;

    //Turning off PORTD pull-up resistors and all pins should be configured as inputs
    PORTD = 0x00;
    DDRD = 0x00;
    //The PD7 pin of PORTD should be configured as output, as timer2 PWM  output is on this pin
    sbi(DDRD, 7);
}